R 3.1.0 (OS X Mavericks) Install

2 replies [Last post]
rpmb's picture
Offline
Joined: 05/18/2014

Followed the installation procedures for OS X Mavericks R 3.1.0 (re: downloaded R-3.1.0-snowleopard.pkg), but got this error when trying to load the package:

> source('http://openmx.psyc.virginia.edu/getOpenMx.R')
trying URL 'http://openmx.psyc.virginia.edu/sequential/bin/macosx/contrib/3.1/OpenMx_1.4-3059.tgz'
Content type 'application/x-gzip' length 3952270 bytes (3.8 Mb)
opened URL
==================================================
downloaded 3.8 Mb
 
 
The downloaded binary packages are in
	/var/folders/tp/952zvkv17x93r1kqq_3tc0fm0000gn/T//RtmpCC7BjM/downloaded_packages
> require(OpenMx)
Loading required package: OpenMx
Error in dyn.load(file, DLLpath = DLLpath, ...) : 
  unable to load shared object '/Library/Frameworks/R.framework/Versions/3.1/Resources/library/OpenMx/libs/OpenMx.so':
  dlopen(/Library/Frameworks/R.framework/Versions/3.1/Resources/library/OpenMx/libs/OpenMx.so, 6): Library not loaded: /Library/Frameworks/R.framework/Versions/3.0/Resources/lib/libgfortran.2.dylib
  Referenced from: /Library/Frameworks/R.framework/Versions/3.1/Resources/library/OpenMx/libs/OpenMx.so
  Reason: image not found

Any clues on how to troubleshoot this?

RobK's picture
Offline
Joined: 04/19/2011
Give it another try

We recently repaired some problems with the download procedure. You should now be able to install OpenMx version 1.4 to R 3.1 under Mavericks with no trouble.

source('http://openmx.psyc.virginia.edu/getOpenMx.R')

RobK's picture
Offline
Joined: 04/19/2011
Should be fixed soon

First off, sorry this isn't working the way it's supposed to. I imagine it's a bit frustrating.

The workaround instructions for installing on OS X Mavericks R 3.1.0 that were in the "Download" page are most likely how you would proceed, once there's an available build of OpenMx that works properly with R 3.1. But, as you've probably noticed, those workaround instructions aren't there anymore, because it was recently brought to our attention that OpenMx 1.4 simply doesn't play nice with R 3.1. As of yesterday, it looks like we have a patch to OpenMx 1.4 that fixes the incompatibility with R 3.1. I anticipate we will release this updated package in the next few days, with any additional instructions necessary for Mavericks R 3.1 users.

BTW, the beta of OpenMx 2.0, which is compatible with R 3.1, is set to be launched in a matter of days.

Edit: I thought OpenMx 2.0 would require the Snow Leopard workaround, but it doesn't. So, if you're interested in trying the beta, it should install for you with no hassle. You would just copy-paste source('http://openmx.psyc.virginia.edu/getOpenMxBeta.R') into the R command line.